net.sf.okapi.lib.xliff2.core

## Class ProcessingInstruction

- java.lang.Object
- - net.sf.okapi.lib.xliff2.core.ProcessingInstruction

- All Implemented Interfaces:
    IExtChild

      public class ProcessingInstruction
      extends java.lang.Object
      implements IExtChild

  Represents a processing instruction as an extension content object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessingInstruction(ProcessingInstruction original)` Copy constructor.
    `ProcessingInstruction(java.lang.String text)` Creates a new `ProcessingInstruction` object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPI()` Gets the processing instruction text.
    `ExtChildType` | `getType()` Gets the type of child this object is (one of the `ExtChildType` values).
    `void` | `setPI(java.lang.String text)` Sets the processing instruction text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessingInstruction

          public ProcessingInstruction(ProcessingInstruction original)

      Copy constructor.
      Parameters:
        `original` - the original object to duplicate.

    - #### ProcessingInstruction

          public ProcessingInstruction(java.lang.String text)

      Creates a new `ProcessingInstruction` object.
      Parameters:
        `text` - the text of the content (can be null).

  - ### Method Detail

    - #### getType

          public ExtChildType getType()

      Description copied from interface: `IExtChild`
      Gets the type of child this object is (one of the `ExtChildType` values).
      Specified by:
        `getType` in interface `IExtChild`
      Returns:
        the type of child this object is.

    - #### getPI

          public java.lang.String getPI()

      Gets the processing instruction text.
      Returns:
        the processing instruction text (can be null).

    - #### setPI

          public void setPI(java.lang.String text)

      Sets the processing instruction text.
      Parameters:
        `text` - the new processing instruction text (can be null).